Fetch a Push Notification

This operation fetches a single Push Notification using its ID.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Path parameters

pushNotificationIdstringRequired

Response

OK
contentobject
The content of the Push Notification.
createdAtstringformat: "date-time"
The date and time when the Push Notification was created, in ISO 8601 format.
fromobject

The credentialId is used for authentication and authorization when sending the push notification through the respective channel.

idstringformat: "^comms_pushnotification_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
A reference to a PushNotification.
statusenum
The status of a `Push Notification` resource. The status can be one of the following: - `scheduled` The `Push Notification` is scheduled to be sent by Twilio in the future. - `queued` The `Push Notification` is queued in Twilio for sending. - `sent` The `Push Notification` resource has been sent by Twilio. - `failed` The `Push Notification` resource processing failed inside Twilio. Use `GET /PushNotifications/Operations/{operationId}/Errors` for more details. - `canceled` The communication resource was canceled via API request.
Allowed values:
toobject
The recipient of the Push Notification
updatedAtstringformat: "date-time"
The date and time when the Push Notification was last updated, in ISO 8601 format.
priorityenumDefaults to HIGH
The priority of the Push Notification. A value of "low" reduces the client app battery consumption. A value of "high" sends the notification immediately and can wake up a sleeping device.
Allowed values:
soundstring or null
The name of the sound to be played for the push notification.

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error